/* DO NOT USE THIS: Use displayFormattedError from errortex.cls instead */!!

inherit(Object, #ErrorMessage, nil, 2, nil)!!

now(class(ErrorMessage))!!

/* Display an internal error box.  Text in message text. */
Def internalError(self, messageText, identityString)
{
  errorBox("Internal Error", messageText + CR_LF + 
    "-------------------------" + CR_LF +
    "(" + identityString + ")");
  ^0;
}
!!

now(ErrorMessage)!!
